Debian Bug report logs - #644895
tthsum: please consider releasing new upstream release.

version graph

Package: tthsum; Maintainer for tthsum is Hector Oron <zumbi@debian.org>; Source for tthsum is src:tthsum.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Mon, 10 Oct 2011 10:15:01 UTC

Severity: wishlist

Fixed in version tthsum/1.3.1-1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#644895; Package tthsum. (Mon, 10 Oct 2011 10:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to RISKO Gergely <risko@debian.org>. (Mon, 10 Oct 2011 10:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tthsum: please consider releasing new upstream release.
Date: Mon, 10 Oct 2011 11:09:55 +0100
Package: tthsum
Severity: wishlist

Hello,

  A new upstream release has happened:
    <http://tthsum.devs.nu/pkg/tthsum-1.3.0.tar.gz>

  Upstream has been kind enough to fix some Debian and non Debian
  related issues: (it now builds on armel!)
    <http://tthsum.devs.nu/svn/trunk/tthsum/CHANGES.txt>

  Do you think we could update the package in Debian?
  If you dont have the time, let me know, I could prepare an NMU or
  co-maintain the package.

Kind regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'unstable'), (50, 'testing'), (50, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 07 Mar 2012 03:06:08 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Wed, 07 Mar 2012 03:06:08 GMT) Full text and rfc822 format available.

Message #10 received at 644895-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 644895-close@bugs.debian.org
Subject: Bug#644895: fixed in tthsum 1.3.1-1
Date: Wed, 07 Mar 2012 03:03:31 +0000
Source: tthsum
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
tthsum, which is due to be installed in the Debian FTP archive:

tthsum_1.3.1-1.diff.gz
  to main/t/tthsum/tthsum_1.3.1-1.diff.gz
tthsum_1.3.1-1.dsc
  to main/t/tthsum/tthsum_1.3.1-1.dsc
tthsum_1.3.1-1_armel.deb
  to main/t/tthsum/tthsum_1.3.1-1_armel.deb
tthsum_1.3.1.orig.tar.gz
  to main/t/tthsum/tthsum_1.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated tthsum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 Mar 2012 01:24:01 +0000
Source: tthsum
Binary: tthsum
Architecture: source armel
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Hector Oron <zumbi@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 tthsum     - generates or checks TTH message digests
Closes: 517619 599173 644895
Changes: 
 tthsum (1.3.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #644895, #517619, #599173)
     - Fix buffer overrun in tiger tests. Reported by Edward Sheldrake.
     - Force alignment on platforms that need it using a compile-time test. Thanks
       go out to pavelch for providing failing test cases and to Zoiah for lending
       me an ARM ;-)
       (I added a minimal autoconf.c as a faster alternative to proper autconf.)
     - Fix a rather serious problem with the big endian code. Non-trivial files over
       1024 bytes would not have had proper hashes calculated. (Debian bug #517619)
     - New test cases and tweaks to existing tests.
     - Fix so compilation with -ansi works.
     - Fix another problem with alignment on an ARM with -O3 optimization. Thanks
       Hector Oron for hooking me up with access to the debian ARM box.
     - Fix problems with debian packaging. (Debian bug #599173 and CPPFLAGS
       override.)
     - Minor code and build system cleanup.
     - Changed -p output to print percentages instead of MiB counts.
     - Base32 decoding errors did not generate a valid error message. (Error code
       0 conflicted with SUCCESS.)
     - Fixed that ctrlesctostr accepted strange BASE36 escape sequences.
     - Made getopt for Windows more compatible with POSIX getopt.
     - Fixed that including the tthsum specific texts.c is optional.
     - Changed some header inclusions to be more compliant with C specs and made
       the source a bit more strict (ANSI C compatible, C++ compatible).
     - Added a test suite to detect stupid bugs at compile time. (Like the next
       bug.)
     - Endianness was not properly detected on various architectures (see debian
       bug 517619; thanks Alan Curry <pacman> for reporting).
     - Standardized UTF8 functions to behave as specified on Windows.
     - Corrected the need for a double EOF when reading from stdin.
     - Changed license from GPLv2 to GPLv3. Updated help texts (suggesting gmake
       on non-Linuxen, for instance).
     - Removed a bit of overhead on big endian platforms.
   * New maintainer.
   * Bump Standards-Version to 3.9.3
   * Bump debhelper compat version to 8
   * Add Homepage stanza
   * Add watch file
Checksums-Sha1: 
 3ec447170d16437d4608c130efb07742db7a4c26 1649 tthsum_1.3.1-1.dsc
 eb8aec9b9e47587332293baf3949a915e021d404 78989 tthsum_1.3.1.orig.tar.gz
 d688f5c066d7e2b7163b45fb174abe5592954425 2255 tthsum_1.3.1-1.diff.gz
 b0334f4a4b21eab5960c42c8296fda5e2170fa5d 35238 tthsum_1.3.1-1_armel.deb
Checksums-Sha256: 
 45f0d52b0f80a7b3dba7947dcc8a0e29a3d734e0cdb94c1f3232f034683fb6e5 1649 tthsum_1.3.1-1.dsc
 b141e585884144e90c4cc63872b0bfddc32db3d842a406d8b8a744db82736da5 78989 tthsum_1.3.1.orig.tar.gz
 88c7f0541455e80422ef1abc4a1f3f4f36cd2251c9d47e51e29ca887ba0f30c6 2255 tthsum_1.3.1-1.diff.gz
 e62db42074af6f916e81de815297684fce0eac22d97634a54693caaea1290f85 35238 tthsum_1.3.1-1_armel.deb
Files: 
 f2a82b13c1d36108b319a2035f8fc238 1649 utils optional tthsum_1.3.1-1.dsc
 b641a7cfc932a9515d33d10dfb60f5ff 78989 utils optional tthsum_1.3.1.orig.tar.gz
 b55b5c78f5e2cb3f17c41d66a70df0d4 2255 utils optional tthsum_1.3.1-1.diff.gz
 f8e6a74554a384d833976f4b5a5018a3 35238 utils optional tthsum_1.3.1-1_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPVB1uAAoJEK8ig6p24qx7SeQP/3Ds3jsdan+v+tiGZgHDeccl
2Uh5sWJtdLyooYoXDAwgISj3LTleT9ieJvMbfEtansUrAOPbJJa0KHDTLY4rORIs
jaUE00cwbkVW47yhnkbXC+pQoLAvqecMUXtfYPSuLmf/YNancIbRjPHAhzeibXL7
uqMjy9d2/dzRSUNp/cnLMk2WrPPCLoI3B9V2Tw32Rk46n7HYf8hTUL6irk4oGsHE
OFv9X1kKCp+HeOhwHSh8VoM1lYVrI+S/K+YiIWGepbuM+ct6+A204FAWdarDQtYM
wsF2VbH5yfrd0TCm7tK3FxtLDzmsnsAKSkCsaYyvDfvWWzFIFGanjWqlypnV3BPz
NW3mQSuKj5vYT+yWe/t6lVGpvH4bXi08HE76tO0gqlzQFof5eRg17HraQi6e8x5z
AjNEGn2ls7Zx9N/R5gAS++QRAxoWKwMPPNE7h2XSAmc7S/RSCoVPTs+q7cFjaEyR
woQyWyPR52aO8EF6uks+BQ3B08mkl0zzspKyJ8K5AcWbx7McJUbT1hzNH1JfzX2j
mnqMjZ+qtlNLwbbmHHTMjQFdU2FnZEyMgmLIHzeatJIZv6ejvjs/K7D3tTESi83A
yvzqkk5fVmQbteTUuATA1SRuzoMSbSpnKFGMbdtZOeREUHa4SWhNFRecLezJdJD2
u20zBnOXByUiSVv317CV
=TNh4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:28:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:22:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.